# Pod2grid

Pod2Grid is a plugin to sync data from the Memri Pod to a [Grid Domain](https://github.com/OpenMined/PySyft/tree/syft_0.5.0/packages/grid). The data that you put in the domain can be used to train machine learning models, but will stay completely private.

## Installation


### Docker
`docker build -t pod2grid .`

### Local
```
pip install -r domain/requirements.txt
pip install -e .
```

## Development

### Run domain

```
cd domain
./run.sh
```

## Test
### Integration
Run a Pod and run
```
tox test.integration
```

Which launches a `PyGrid Domain` and runs integration test.

## Example usage
See `nbs/run_plugin.ipynb` for a local run, or `nbs/run_from_docker.ipynb` to run the plugin in docker.

