from pod2grid.schema import WhatsappMessage, CategoricalLabel
from pprint import pprint

def create_dummy_data(pod_client):
    """Creates 3 dummy data points, one of which is labeled.

    The plugin should only sync the labeled data to Domain.
    """
    assert pod_client.add_to_schema(CategoricalLabel(name="", labels=""))
    assert pod_client.add_to_schema(WhatsappMessage(content="content"))

    schema_name = WhatsappMessage.__name__
    data_field = "content"

    # Generate a few test messages
    contents = ["That's amazing!", "That's terrible", "Hi there"]
    labels = [2, 0, 1]

    messages = [WhatsappMessage(content=content) for content in contents]

    for message in messages:
        pod_client.create(message)

    pprint("pod content")    
    pprint(pod_client.search({"type": schema_name}))

    # Add single edge
    sentiment = CategoricalLabel(name="positive", labels="")
    pod_client.create(sentiment)

    messages[0].add_edge("label", sentiment)

    edge = messages[0].get_edges('label')[0]
    pod_client.create_edges([edge])
