import pytest


def pytest_addoption(parser):
    parser.addoption("--integration", action="store_true",
                     help="run the tests only in case of that command line (marked with marker @integration)")

def pytest_collection_modifyitems(config, items):
    if config.getoption("--integration"):
        return
    skip_slow = pytest.mark.skip(reason="need --integration option to run")
    for item in items:
        if "integration" in item.keywords:
            item.add_marker(skip_slow)